# logrifle
A console-based logviewer written in java that is designed to help "rifle through" large logfiles.

## Building
logrifle is built using maven. A runnable jar archive can be created with

```mvn -B package --file pom.xml```

## Usage
Run 

```java -jar logrifle.jar --help```

to display information on the invocation of in-application commands / shortcuts.

Go to https://www.logrifle.de/ for further information.

## Supported Platforms
I only tested logrifle on Linux but it might run fine on other platforms.

## License
The logrifle code is licensed under the GPL, version 3, see the file LICENSE in this repo.  
Other licenses apply for third party libraries used by logrifle: See THIRD-PARTY.txt for more information.

## Sources
This tarball only contains pre-compiled binaries.

The full source code is available on

https://github.com/enguerrand/logrifle

